# GstVp9StatefulParser

This object is used to parse VP9 bitstream header.

## GstVp9DeltaProbabilities

Stores probabilities updates. This is from the spec and can be used as a binary.

Since : 1.20

## GstCodecs.Vp9DeltaProbabilities

Stores probabilities updates. This is from the spec and can be used as a binary.

Since : 1.20

## GstCodecs.Vp9DeltaProbabilities

Stores probabilities updates. This is from the spec and can be used as a binary.

Since : 1.20

## GstVp9FrameHeader

### Members

`profile` (guint8) –

encoded profile

`bit_depth` (guint8) –

encoded bit depth

`subsampling_x` (guint8) –

specify the chroma subsampling format for x coordinate

`subsampling_y` (guint8) –

specify the chroma subsampling format for y coordinate

`color_space` (guint8) –

specifies the color space of the stream

`color_range` (guint8) –

specifies the black level and range of the luma and chroma signals

`show_existing_frame` (guint8) –

equal to 1, indicates the frame indexed by frame_to_show_map_idx is to be displayed

`frame_to_show_map_idx` (guint8) –

specifies the frame to be displayed. It is only available if show_existing_frame is 1

`frame_type` (guint8) –

equal to 0 indicates that the current frame is a key frame

`show_frame` (guint8) –

indicate whether it is a displayable frame or not

`error_resilient_mode` (guint8) –

equal to 1 indicates that error resilient mode is enabled

`width` (guint32) –

coded frame width

`height` (guint32) –

coded frame height

`render_and_frame_size_different` (guint8) –

equal to 0 means that the render width and height are inferred from the frame width and height

`render_width` (guint32) –

render width of the frame

`render_height` (guint32) –

render width of the frame

`intra_only` (guint8) –

equal to 1 indicates that the frame is an intra-only frame

`reset_frame_context` (guint8) –

specifies whether the frame context should be reset to default values

`refresh_frame_flags` (guint8) –

contains a bitmask that specifies which reference frame slots will be updated with the current frame after it is decoded

`ref_frame_idx` (guint8 *) –

specifies which reference frames are used by inter frames

`ref_frame_sign_bias` (guint8 *) –

specifies the intended direction of the motion vector in time for each reference frame. A sign bias equal to 0 indicates that the reference frame is a backwards reference

`allow_high_precision_mv` (guint8) –

equal to 0 specifies that motion vectors are specified to quarter pel precision

`interpolation_filter` (guint8) –

specifies the filter selection used for performing inter prediction

`refresh_frame_context` (guint8) –

equal to 1 indicates that the probabilities computed for this frame

`frame_parallel_decoding_mode` (guint8) –

equal to 1 indicates that parallel decoding mode is enabled

`frame_context_idx` (guint8) –

indicates the frame context to use

`loop_filter_params` (GstVp9LoopFilterParams) –

a GstVp9LoopFilterParams

`quantization_params` (GstVp9QuantizationParams) –

a GstVp9QuantizationParams

`segmentation_params` (GstVp9SegmentationParams) –

a GstVp9SegmentationParams

`tile_cols_log2` (guint8) –

specifies the base 2 logarithm of the width of each tile

`tile_rows_log2` (guint8) –

specifies the base 2 logarithm of the height of each tile

`header_size_in_bytes` (guint16) –
No description available
`tx_mode` (GstVp9TxMode) –

Specifies how the transform size is determined.

`reference_mode` (GstVp9ReferenceMode) –

Is a derived syntax element that specifies the type of inter prediction to be used.

`delta_probabilities` (GstVp9DeltaProbabilities) –

Modification to the probabilities encoded in the bitstream.

`lossless_flag` (guint8) –

lossless mode decode

`frame_header_length_in_bytes` (guint32) –

length of uncompressed header

Since : 1.20

## GstCodecs.Vp9FrameHeader

### Members

`profile` (Number) –

encoded profile

`bit_depth` (Number) –

encoded bit depth

`subsampling_x` (Number) –

specify the chroma subsampling format for x coordinate

`subsampling_y` (Number) –

specify the chroma subsampling format for y coordinate

`color_space` (Number) –

specifies the color space of the stream

`color_range` (Number) –

specifies the black level and range of the luma and chroma signals

`show_existing_frame` (Number) –

equal to 1, indicates the frame indexed by frame_to_show_map_idx is to be displayed

`frame_to_show_map_idx` (Number) –

specifies the frame to be displayed. It is only available if show_existing_frame is 1

`frame_type` (Number) –

equal to 0 indicates that the current frame is a key frame

`show_frame` (Number) –

indicate whether it is a displayable frame or not

`error_resilient_mode` (Number) –

equal to 1 indicates that error resilient mode is enabled

`width` (Number) –

coded frame width

`height` (Number) –

coded frame height

`render_and_frame_size_different` (Number) –

equal to 0 means that the render width and height are inferred from the frame width and height

`render_width` (Number) –

render width of the frame

`render_height` (Number) –

render width of the frame

`intra_only` (Number) –

equal to 1 indicates that the frame is an intra-only frame

`reset_frame_context` (Number) –

specifies whether the frame context should be reset to default values

`refresh_frame_flags` (Number) –

contains a bitmask that specifies which reference frame slots will be updated with the current frame after it is decoded

`ref_frame_idx` ([ Number ]) –

specifies which reference frames are used by inter frames

`ref_frame_sign_bias` ([ Number ]) –

specifies the intended direction of the motion vector in time for each reference frame. A sign bias equal to 0 indicates that the reference frame is a backwards reference

`allow_high_precision_mv` (Number) –

equal to 0 specifies that motion vectors are specified to quarter pel precision

`interpolation_filter` (Number) –

specifies the filter selection used for performing inter prediction

`refresh_frame_context` (Number) –

equal to 1 indicates that the probabilities computed for this frame

`frame_parallel_decoding_mode` (Number) –

equal to 1 indicates that parallel decoding mode is enabled

`frame_context_idx` (Number) –

indicates the frame context to use

`loop_filter_params` (GstCodecs.Vp9LoopFilterParams) –

a GstCodecs.Vp9LoopFilterParams

`quantization_params` (GstCodecs.Vp9QuantizationParams) –

a GstCodecs.Vp9QuantizationParams

`segmentation_params` (GstCodecs.Vp9SegmentationParams) –

a GstCodecs.Vp9SegmentationParams

`tile_cols_log2` (Number) –

specifies the base 2 logarithm of the width of each tile

`tile_rows_log2` (Number) –

specifies the base 2 logarithm of the height of each tile

`header_size_in_bytes` (Number) –
No description available
`tx_mode` (GstCodecs.Vp9TxMode) –

Specifies how the transform size is determined.

`reference_mode` (GstCodecs.Vp9ReferenceMode) –

Is a derived syntax element that specifies the type of inter prediction to be used.

`delta_probabilities` (GstCodecs.Vp9DeltaProbabilities) –

Modification to the probabilities encoded in the bitstream.

`lossless_flag` (Number) –

lossless mode decode

`frame_header_length_in_bytes` (Number) –

length of uncompressed header

Since : 1.20

## GstCodecs.Vp9FrameHeader

### Members

`profile` (int) –

encoded profile

`bit_depth` (int) –

encoded bit depth

`subsampling_x` (int) –

specify the chroma subsampling format for x coordinate

`subsampling_y` (int) –

specify the chroma subsampling format for y coordinate

`color_space` (int) –

specifies the color space of the stream

`color_range` (int) –

specifies the black level and range of the luma and chroma signals

`show_existing_frame` (int) –

equal to 1, indicates the frame indexed by frame_to_show_map_idx is to be displayed

`frame_to_show_map_idx` (int) –

specifies the frame to be displayed. It is only available if show_existing_frame is 1

`frame_type` (int) –

equal to 0 indicates that the current frame is a key frame

`show_frame` (int) –

indicate whether it is a displayable frame or not

`error_resilient_mode` (int) –

equal to 1 indicates that error resilient mode is enabled

`width` (int) –

coded frame width

`height` (int) –

coded frame height

`render_and_frame_size_different` (int) –

equal to 0 means that the render width and height are inferred from the frame width and height

`render_width` (int) –

render width of the frame

`render_height` (int) –

render width of the frame

`intra_only` (int) –

equal to 1 indicates that the frame is an intra-only frame

`reset_frame_context` (int) –

specifies whether the frame context should be reset to default values

`refresh_frame_flags` (int) –

contains a bitmask that specifies which reference frame slots will be updated with the current frame after it is decoded

`ref_frame_idx` ([ int ]) –

specifies which reference frames are used by inter frames

`ref_frame_sign_bias` ([ int ]) –

specifies the intended direction of the motion vector in time for each reference frame. A sign bias equal to 0 indicates that the reference frame is a backwards reference

`allow_high_precision_mv` (int) –

equal to 0 specifies that motion vectors are specified to quarter pel precision

`interpolation_filter` (int) –

specifies the filter selection used for performing inter prediction

`refresh_frame_context` (int) –

equal to 1 indicates that the probabilities computed for this frame

`frame_parallel_decoding_mode` (int) –

equal to 1 indicates that parallel decoding mode is enabled

`frame_context_idx` (int) –

indicates the frame context to use

`loop_filter_params` (GstCodecs.Vp9LoopFilterParams) –

a GstCodecs.Vp9LoopFilterParams

`quantization_params` (GstCodecs.Vp9QuantizationParams) –

a GstCodecs.Vp9QuantizationParams

`segmentation_params` (GstCodecs.Vp9SegmentationParams) –

a GstCodecs.Vp9SegmentationParams

`tile_cols_log2` (int) –

specifies the base 2 logarithm of the width of each tile

`tile_rows_log2` (int) –

specifies the base 2 logarithm of the height of each tile

`header_size_in_bytes` (int) –
No description available
`tx_mode` (GstCodecs.Vp9TxMode) –

Specifies how the transform size is determined.

`reference_mode` (GstCodecs.Vp9ReferenceMode) –

Is a derived syntax element that specifies the type of inter prediction to be used.

`delta_probabilities` (GstCodecs.Vp9DeltaProbabilities) –

Modification to the probabilities encoded in the bitstream.

`lossless_flag` (int) –

lossless mode decode

`frame_header_length_in_bytes` (int) –

length of uncompressed header

Since : 1.20

## GstVp9LoopFilterParams

Loop filter params. See "6.2.8 Loop filter params syntax" and "7.2.8 Loop filter semantics".

If syntax elements for update_ref_delta and/or loop_filter_mode_deltas are not present in bitstream, parser will fill loop_filter_ref_deltas and loop_filter_mode_deltas values by using previously parsed values.

### Members

`loop_filter_level` (guint8) –

indicates the loop filter strength

`loop_filter_sharpness` (guint8) –

indicates the sharpness level

`loop_filter_delta_enabled` (guint8) –

equal to 1 means that the filter level depends on the mode and reference frame used to predict a block

`loop_filter_delta_update` (guint8) –

equal to 1 means that the bitstream contains additional syntax elements that specify which mode and reference frame deltas are to be updated

`update_ref_delta` (guint8 *) –

equal to 1 means that the bitstream contains the syntax element loop_filter_ref_delta

`loop_filter_ref_deltas` (gint8 *) –

contains the adjustment needed for the filter level based on the chosen reference frame

`update_mode_delta` (guint8 *) –

equal to 1 means that the bitstream contains the syntax element loop_filter_mode_deltas

`loop_filter_mode_deltas` (gint8 *) –

contains the adjustment needed for the filter level based on the chosen mode

Since : 1.20

## GstCodecs.Vp9LoopFilterParams

Loop filter params. See "6.2.8 Loop filter params syntax" and "7.2.8 Loop filter semantics".

If syntax elements for update_ref_delta and/or loop_filter_mode_deltas are not present in bitstream, parser will fill loop_filter_ref_deltas and loop_filter_mode_deltas values by using previously parsed values.

### Members

`loop_filter_level` (Number) –

indicates the loop filter strength

`loop_filter_sharpness` (Number) –

indicates the sharpness level

`loop_filter_delta_enabled` (Number) –

equal to 1 means that the filter level depends on the mode and reference frame used to predict a block

`loop_filter_delta_update` (Number) –

equal to 1 means that the bitstream contains additional syntax elements that specify which mode and reference frame deltas are to be updated

`update_ref_delta` ([ Number ]) –

equal to 1 means that the bitstream contains the syntax element loop_filter_ref_delta

`loop_filter_ref_deltas` ([ Number ]) –

contains the adjustment needed for the filter level based on the chosen reference frame

`update_mode_delta` ([ Number ]) –

equal to 1 means that the bitstream contains the syntax element loop_filter_mode_deltas

`loop_filter_mode_deltas` ([ Number ]) –

contains the adjustment needed for the filter level based on the chosen mode

Since : 1.20

## GstCodecs.Vp9LoopFilterParams

Loop filter params. See "6.2.8 Loop filter params syntax" and "7.2.8 Loop filter semantics".

If syntax elements for update_ref_delta and/or loop_filter_mode_deltas are not present in bitstream, parser will fill loop_filter_ref_deltas and loop_filter_mode_deltas values by using previously parsed values.

### Members

`loop_filter_level` (int) –

indicates the loop filter strength

`loop_filter_sharpness` (int) –

indicates the sharpness level

`loop_filter_delta_enabled` (int) –

equal to 1 means that the filter level depends on the mode and reference frame used to predict a block

`loop_filter_delta_update` (int) –

equal to 1 means that the bitstream contains additional syntax elements that specify which mode and reference frame deltas are to be updated

`update_ref_delta` ([ int ]) –

equal to 1 means that the bitstream contains the syntax element loop_filter_ref_delta

`loop_filter_ref_deltas` ([ int ]) –

contains the adjustment needed for the filter level based on the chosen reference frame

`update_mode_delta` ([ int ]) –

equal to 1 means that the bitstream contains the syntax element loop_filter_mode_deltas

`loop_filter_mode_deltas` ([ int ]) –

contains the adjustment needed for the filter level based on the chosen mode

Since : 1.20

## GstVp9MvDeltaProbs

Stores motion vectors probabilities updates. This is from the spec and can be used as a binary.

Since : 1.20

## GstCodecs.Vp9MvDeltaProbs

Stores motion vectors probabilities updates. This is from the spec and can be used as a binary.

Since : 1.20

## GstCodecs.Vp9MvDeltaProbs

Stores motion vectors probabilities updates. This is from the spec and can be used as a binary.

Since : 1.20

## GstVp9QuantizationParams

### Members

`base_q_idx` (guint8) –

indicates the base frame qindex. This is used for Y AC coefficients and as the base value for the other quantizers

`delta_q_y_dc` (gint8) –

indicates the Y DC quantizer relative to base_q_idx

`delta_q_uv_dc` (gint8) –

indicates the UV DC quantizer relative to base_q_idx

`delta_q_uv_ac` (gint8) –

indicates the UV AC quantizer relative to base_q_idx

Since : 1.20

## GstCodecs.Vp9QuantizationParams

### Members

`base_q_idx` (Number) –

indicates the base frame qindex. This is used for Y AC coefficients and as the base value for the other quantizers

`delta_q_y_dc` (Number) –

indicates the Y DC quantizer relative to base_q_idx

`delta_q_uv_dc` (Number) –

indicates the UV DC quantizer relative to base_q_idx

`delta_q_uv_ac` (Number) –

indicates the UV AC quantizer relative to base_q_idx

Since : 1.20

## GstCodecs.Vp9QuantizationParams

### Members

`base_q_idx` (int) –

indicates the base frame qindex. This is used for Y AC coefficients and as the base value for the other quantizers

`delta_q_y_dc` (int) –

indicates the Y DC quantizer relative to base_q_idx

`delta_q_uv_dc` (int) –

indicates the UV DC quantizer relative to base_q_idx

`delta_q_uv_ac` (int) –

indicates the UV AC quantizer relative to base_q_idx

Since : 1.20

## GstVp9SegmentationParams

See "6.2.11 Segmentation params syntax" and "7.2.10 Segmentation params syntax". When segmentation_update_data is equal to zero, parser will fill feature_enabled and by feature_data using previously parsed values.

### Members

`segmentation_enabled` (guint8) –

equal to 1 indicates that this frame makes use of the segmentation tool

`segmentation_update_map` (guint8) –

equal to 1 indicates that the segmentation map should be updated during the decoding of this frame

`segmentation_tree_probs` (guint8 *) –

specify the probability values to be used when decoding segment_id

`segmentation_pred_prob` (guint8 *) –

specify the probability values to be used when decoding seg_id_predicted

`segmentation_temporal_update` (guint8) –

equal to 1 indicates that the updates to the segmentation map are coded relative to the existing segmentation map

`segmentation_update_data` (guint8) –

equal to 1 indicates that new parameters are about to be specified for each segment

`segmentation_abs_or_delta_update` (guint8) –

equal to 0 indicates that the segmentation parameters represent adjustments relative to the standard values. equal to 1 indicates that the segmentation parameters represent the actual values to be used

`feature_enabled` (guint8 *) –

indicates whether feature is enabled or not

`feature_data` (gint16 *) –

segmentation feature data

Since : 1.20

## GstCodecs.Vp9SegmentationParams

See "6.2.11 Segmentation params syntax" and "7.2.10 Segmentation params syntax". When segmentation_update_data is equal to zero, parser will fill feature_enabled and by feature_data using previously parsed values.

### Members

`segmentation_enabled` (Number) –

equal to 1 indicates that this frame makes use of the segmentation tool

`segmentation_update_map` (Number) –

equal to 1 indicates that the segmentation map should be updated during the decoding of this frame

`segmentation_tree_probs` ([ Number ]) –

specify the probability values to be used when decoding segment_id

`segmentation_pred_prob` ([ Number ]) –

specify the probability values to be used when decoding seg_id_predicted

`segmentation_temporal_update` (Number) –

equal to 1 indicates that the updates to the segmentation map are coded relative to the existing segmentation map

`segmentation_update_data` (Number) –

equal to 1 indicates that new parameters are about to be specified for each segment

`segmentation_abs_or_delta_update` (Number) –

equal to 0 indicates that the segmentation parameters represent adjustments relative to the standard values. equal to 1 indicates that the segmentation parameters represent the actual values to be used

`feature_enabled` ([ Number ]) –

indicates whether feature is enabled or not

`feature_data` ([ Number ]) –

segmentation feature data

Since : 1.20

## GstCodecs.Vp9SegmentationParams

See "6.2.11 Segmentation params syntax" and "7.2.10 Segmentation params syntax". When segmentation_update_data is equal to zero, parser will fill feature_enabled and by feature_data using previously parsed values.

### Members

`segmentation_enabled` (int) –

equal to 1 indicates that this frame makes use of the segmentation tool

`segmentation_update_map` (int) –

equal to 1 indicates that the segmentation map should be updated during the decoding of this frame

`segmentation_tree_probs` ([ int ]) –

specify the probability values to be used when decoding segment_id

`segmentation_pred_prob` ([ int ]) –

specify the probability values to be used when decoding seg_id_predicted

`segmentation_temporal_update` (int) –

equal to 1 indicates that the updates to the segmentation map are coded relative to the existing segmentation map

`segmentation_update_data` (int) –

equal to 1 indicates that new parameters are about to be specified for each segment

`segmentation_abs_or_delta_update` (int) –

equal to 0 indicates that the segmentation parameters represent adjustments relative to the standard values. equal to 1 indicates that the segmentation parameters represent the actual values to be used

`feature_enabled` ([ int ]) –

indicates whether feature is enabled or not

`feature_data` ([ int ]) –

segmentation feature data

Since : 1.20

## GstVp9StatefulParser

Opaque VP9 parser struct. The size of this object and member variables are not API

### Members

`reference` (gpointer *) –
No description available

Since : 1.20

## GstCodecs.Vp9StatefulParser

Opaque VP9 parser struct. The size of this object and member variables are not API

### Members

`reference` ([ Object ]) –
No description available

Since : 1.20

## GstCodecs.Vp9StatefulParser

Opaque VP9 parser struct. The size of this object and member variables are not API

### Members

`reference` ([ object ]) –
No description available

Since : 1.20

### Methods

#### gst_vp9_stateful_parser_free

    gst_vp9_stateful_parser_free (GstVp9StatefulParser * parser)

Frees parser.

Parameters:

`parser` –

the GstVp9StatefulParser to free

Since : 1.20

#### GstCodecs.Vp9StatefulParser.prototype.free

    function GstCodecs.Vp9StatefulParser.prototype.free(): {
        // javascript wrapper for 'gst_vp9_stateful_parser_free'
    }

Frees parser.

Parameters:

`parser` (GstCodecs.Vp9StatefulParser) –

the GstCodecs.Vp9StatefulParser to free

Since : 1.20

#### GstCodecs.Vp9StatefulParser.free

    def GstCodecs.Vp9StatefulParser.free (self):
        #python wrapper for 'gst_vp9_stateful_parser_free'

Frees parser.

Parameters:

`parser` (GstCodecs.Vp9StatefulParser) –

the GstCodecs.Vp9StatefulParser to free

Since : 1.20

#### gst_vp9_stateful_parser_parse_compressed_frame_header

    GstVp9ParserResult
    gst_vp9_stateful_parser_parse_compressed_frame_header (GstVp9StatefulParser * parser,
                                                           GstVp9FrameHeader * header,
                                                           const guint8 * data,
                                                           gsize size)

Parses the compressed information in the VP9 bitstream contained in data, and fills in header with the parsed values. The size argument represent the whole frame size.

Parameters:

`parser` –

The GstVp9StatefulParser

`header` –

The GstVp9FrameHeader to fill

`data` –

The data to parse

`size` –

The size of the data to parse

Returns –

a GstVp9ParserResult

Since : 1.20

#### gst_vp9_stateful_parser_parse_uncompressed_frame_header

    GstVp9ParserResult
    gst_vp9_stateful_parser_parse_uncompressed_frame_header (GstVp9StatefulParser * parser,
                                                             GstVp9FrameHeader * header,
                                                             const guint8 * data,
                                                             gsize size)

Parses the VP9 bitstream contained in data, and fills in header with the information. The size argument represent the whole frame size.

Parameters:

`parser` –

The GstVp9StatefulParser

`header` –

The GstVp9FrameHeader to fill

`data` –

The data to parse

`size` –

The size of the data to parse

Returns –

a GstVp9ParserResult

Since : 1.20

### Functions

#### gst_vp9_stateful_parser_new

    GstVp9StatefulParser *
    gst_vp9_stateful_parser_new ()

Creates a new GstVp9StatefulParser. It should be freed with gst_vp9_stateful_parser_free after use.

Returns –

a new GstVp9StatefulParser

Since : 1.20

## Functions

### gst_vp9_get_ac_quant

    gint16
    gst_vp9_get_ac_quant (guint8 qindex,
                          gint8 delta_q_ac,
                          guint8 bit_depth)

An implementation of "ac_q" function specified in "8.6.1 Dequantization functions"

Parameters:

`qindex` –

the quantizer index

`delta_q_ac` –

a delta_q_ac value

`bit_depth` –

coded bit depth

Returns –

the quantizer value for the ac coefficient

Since : 1.20

### GstCodecs.prototype.vp9_get_ac_quant

    function GstCodecs.prototype.vp9_get_ac_quant(qindex: Number, delta_q_ac: Number, bit_depth: Number): {
        // javascript wrapper for 'gst_vp9_get_ac_quant'
    }

An implementation of "ac_q" function specified in "8.6.1 Dequantization functions"

Parameters:

`qindex` (Number) –

the quantizer index

`delta_q_ac` (Number) –

a delta_q_ac value

`bit_depth` (Number) –

coded bit depth

Returns (Number) –

the quantizer value for the ac coefficient

Since : 1.20

### GstCodecs.vp9_get_ac_quant

    def GstCodecs.vp9_get_ac_quant (qindex, delta_q_ac, bit_depth):
        #python wrapper for 'gst_vp9_get_ac_quant'

An implementation of "ac_q" function specified in "8.6.1 Dequantization functions"

Parameters:

`qindex` (int) –

the quantizer index

`delta_q_ac` (int) –

a delta_q_ac value

`bit_depth` (int) –

coded bit depth

Returns (int) –

the quantizer value for the ac coefficient

Since : 1.20

### gst_vp9_get_dc_quant

    gint16
    gst_vp9_get_dc_quant (guint8 qindex,
                          gint8 delta_q_dc,
                          guint8 bit_depth)

An implementation of "dc_q" function specified in "8.6.1 Dequantization functions"

Parameters:

`qindex` –

the quantizer index

`delta_q_dc` –

a delta_q_dc value

`bit_depth` –

coded bit depth

Returns –

the quantizer value for the dc coefficient

Since : 1.20

### GstCodecs.prototype.vp9_get_dc_quant

    function GstCodecs.prototype.vp9_get_dc_quant(qindex: Number, delta_q_dc: Number, bit_depth: Number): {
        // javascript wrapper for 'gst_vp9_get_dc_quant'
    }

An implementation of "dc_q" function specified in "8.6.1 Dequantization functions"

Parameters:

`qindex` (Number) –

the quantizer index

`delta_q_dc` (Number) –

a delta_q_dc value

`bit_depth` (Number) –

coded bit depth

Returns (Number) –

the quantizer value for the dc coefficient

Since : 1.20

### GstCodecs.vp9_get_dc_quant

    def GstCodecs.vp9_get_dc_quant (qindex, delta_q_dc, bit_depth):
        #python wrapper for 'gst_vp9_get_dc_quant'

An implementation of "dc_q" function specified in "8.6.1 Dequantization functions"

Parameters:

`qindex` (int) –

the quantizer index

`delta_q_dc` (int) –

a delta_q_dc value

`bit_depth` (int) –

coded bit depth

Returns (int) –

the quantizer value for the dc coefficient

Since : 1.20

### gst_vp9_get_qindex

    guint8
    gst_vp9_get_qindex (const GstVp9SegmentationParams * segmentation_params,
                        const GstVp9QuantizationParams * quantization_params,
                        guint8 segment_id)

An implementation of "get_qindex" function specfied in "8.6.1 Dequantization functions"

Parameters:

`segmentation_params` –

a GstVp9SegmentationParams

`quantization_params` –

a GstVp9QuantizationParams

`segment_id` –

a segment id

Returns –

the quantizer index

Since : 1.20

### GstCodecs.prototype.vp9_get_qindex

    function GstCodecs.prototype.vp9_get_qindex(segmentation_params: GstCodecs.Vp9SegmentationParams, quantization_params: GstCodecs.Vp9QuantizationParams, segment_id: Number): {
        // javascript wrapper for 'gst_vp9_get_qindex'
    }

An implementation of "get_qindex" function specfied in "8.6.1 Dequantization functions"

Parameters:

`segmentation_params` (GstCodecs.Vp9SegmentationParams) –

a GstCodecs.Vp9SegmentationParams

`quantization_params` (GstCodecs.Vp9QuantizationParams) –

a GstCodecs.Vp9QuantizationParams

`segment_id` (Number) –

a segment id

Returns (Number) –

the quantizer index

Since : 1.20

### GstCodecs.vp9_get_qindex

    def GstCodecs.vp9_get_qindex (segmentation_params, quantization_params, segment_id):
        #python wrapper for 'gst_vp9_get_qindex'

An implementation of "get_qindex" function specfied in "8.6.1 Dequantization functions"

Parameters:

`segmentation_params` (GstCodecs.Vp9SegmentationParams) –

a GstCodecs.Vp9SegmentationParams

`quantization_params` (GstCodecs.Vp9QuantizationParams) –

a GstCodecs.Vp9QuantizationParams

`segment_id` (int) –

a segment id

Returns (int) –

the quantizer index

Since : 1.20

### gst_vp9_seg_feature_active

    gboolean
    gst_vp9_seg_feature_active (const GstVp9SegmentationParams * params,
                                guint8 segment_id,
                                guint8 feature)

An implementation of "seg_feature_active" function specified in "6.4.9 Segmentation feature active syntax"

Parameters:

`params` –

a GstVp9SegmentationParams

`segment_id` –

a segment id

`feature` –

a segmentation feature

Returns –

TRUE if feature is active

Since : 1.20

### GstCodecs.prototype.vp9_seg_feature_active

    function GstCodecs.prototype.vp9_seg_feature_active(params: GstCodecs.Vp9SegmentationParams, segment_id: Number, feature: Number): {
        // javascript wrapper for 'gst_vp9_seg_feature_active'
    }

An implementation of "seg_feature_active" function specified in "6.4.9 Segmentation feature active syntax"

Parameters:

`params` (GstCodecs.Vp9SegmentationParams) –

a GstCodecs.Vp9SegmentationParams

`segment_id` (Number) –

a segment id

`feature` (Number) –

a segmentation feature

Returns (Number) –

true if feature is active

Since : 1.20

### GstCodecs.vp9_seg_feature_active

    def GstCodecs.vp9_seg_feature_active (params, segment_id, feature):
        #python wrapper for 'gst_vp9_seg_feature_active'

An implementation of "seg_feature_active" function specified in "6.4.9 Segmentation feature active syntax"

Parameters:

`params` (GstCodecs.Vp9SegmentationParams) –

a GstCodecs.Vp9SegmentationParams

`segment_id` (int) –

a segment id

`feature` (int) –

a segmentation feature

Returns (bool) –

True if feature is active

Since : 1.20

## Enumerations

### GstVp9ReferenceMode

Reference modes: Specify the type of inter prediction to be used

##### Members

`GST_VP9_REFERENCE_MODE_SINGLE_REFERENCE` (0) –

Indicates that all the inter blocks use only a single reference frame

`GST_VP9_REFERENCE_MODE_COMPOUND_REFERENCE` (1) –

Requires all the inter blocks to use compound mode

`GST_VP9_REFERENCE_MODE_SELECT` (2) –

Allows each individual inter block to select between single and compound prediction modes

Since : 1.20

### GstCodecs.Vp9ReferenceMode

Reference modes: Specify the type of inter prediction to be used

##### Members

`GstCodecs.Vp9ReferenceMode.SINGLE_REFERENCE` (0) –

Indicates that all the inter blocks use only a single reference frame

`GstCodecs.Vp9ReferenceMode.COMPOUND_REFERENCE` (1) –

Requires all the inter blocks to use compound mode

`GstCodecs.Vp9ReferenceMode.SELECT` (2) –

Allows each individual inter block to select between single and compound prediction modes

Since : 1.20

### GstCodecs.Vp9ReferenceMode

Reference modes: Specify the type of inter prediction to be used

##### Members

`GstCodecs.Vp9ReferenceMode.SINGLE_REFERENCE` (0) –

Indicates that all the inter blocks use only a single reference frame

`GstCodecs.Vp9ReferenceMode.COMPOUND_REFERENCE` (1) –

Requires all the inter blocks to use compound mode

`GstCodecs.Vp9ReferenceMode.SELECT` (2) –

Allows each individual inter block to select between single and compound prediction modes

Since : 1.20

### GstVp9TxMode

TxMode: Specifies how the transform size is determined

##### Members

`GST_VP9_TX_MODE_ONLY_4x4` (0) –

Only 4x4

`GST_VP9_TX_MODE_ALLOW_8x8` (1) –

Allow 8x8

`GST_VP9_TX_MODE_ALLOW_16x16` (2) –

Allow 16x16

`GST_VP9_TX_MODE_ALLOW_32x32` (3) –

Allow 32x32

`GST_VP9_TX_MODE_SELECT` (4) –

The choice is specified explicitly for each block

Since : 1.20

### GstCodecs.Vp9TxMode

TxMode: Specifies how the transform size is determined

##### Members

`GstCodecs.Vp9TxMode.ONLY_4X4` (0) –

Only 4x4

`GstCodecs.Vp9TxMode.ALLOW_8X8` (1) –

Allow 8x8

`GstCodecs.Vp9TxMode.ALLOW_16X16` (2) –

Allow 16x16

`GstCodecs.Vp9TxMode.ALLOW_32X32` (3) –

Allow 32x32

`GstCodecs.Vp9TxMode.SELECT` (4) –

The choice is specified explicitly for each block

Since : 1.20

### GstCodecs.Vp9TxMode

TxMode: Specifies how the transform size is determined

##### Members

`GstCodecs.Vp9TxMode.ONLY_4X4` (0) –

Only 4x4

`GstCodecs.Vp9TxMode.ALLOW_8X8` (1) –

Allow 8x8

`GstCodecs.Vp9TxMode.ALLOW_16X16` (2) –

Allow 16x16

`GstCodecs.Vp9TxMode.ALLOW_32X32` (3) –

Allow 32x32

`GstCodecs.Vp9TxMode.SELECT` (4) –

The choice is specified explicitly for each block

Since : 1.20

### GstVp9TxSize

TxSize: Specifies the transform size

##### Members

`GST_VP9_TX_4x4` (0) –

4x4

`GST_VP9_TX_8x8` (1) –

8x8

`GST_VP9_TX_16x16` (2) –

16x16

`GST_VP9_TX_32x32` (3) –

32x32

Since : 1.20

### GstCodecs.Vp9TxSize

TxSize: Specifies the transform size

##### Members

`GstCodecs.Vp9TxSize.4X4` (0) –

4x4

`GstCodecs.Vp9TxSize.8X8` (1) –

8x8

`GstCodecs.Vp9TxSize.16X16` (2) –

16x16

`GstCodecs.Vp9TxSize.32X32` (3) –

32x32

Since : 1.20

### GstCodecs.Vp9TxSize

TxSize: Specifies the transform size

##### Members

`GstCodecs.Vp9TxSize.4X4` (0) –

4x4

`GstCodecs.Vp9TxSize.8X8` (1) –

8x8

`GstCodecs.Vp9TxSize.16X16` (2) –

16x16

`GstCodecs.Vp9TxSize.32X32` (3) –

32x32

Since : 1.20

## Constants

### GST_VP9_BLOCK_SIZE_GROUPS

    #define GST_VP9_BLOCK_SIZE_GROUPS 4

Number of contexts when decoding intra_mode

Since : 1.20

### GstCodecs.VP9_BLOCK_SIZE_GROUPS

Number of contexts when decoding intra_mode

Since : 1.20

### GstCodecs.VP9_BLOCK_SIZE_GROUPS

Number of contexts when decoding intra_mode

Since : 1.20

### GST_VP9_CLASS0_SIZE

    #define GST_VP9_CLASS0_SIZE 2

Number of values for mv_classO_bit

Since : 1.20

### GstCodecs.VP9_CLASS0_SIZE

Number of values for mv_classO_bit

Since : 1.20

### GstCodecs.VP9_CLASS0_SIZE

Number of values for mv_classO_bit

Since : 1.20

### GST_VP9_COMP_MODE_CONTEXTS

    #define GST_VP9_COMP_MODE_CONTEXTS 5

Number of contexts for comp_mode

Since : 1.20

### GstCodecs.VP9_COMP_MODE_CONTEXTS

Number of contexts for comp_mode

Since : 1.20

### GstCodecs.VP9_COMP_MODE_CONTEXTS

Number of contexts for comp_mode

Since : 1.20

### GST_VP9_INTERP_FILTER_CONTEXTS

    #define GST_VP9_INTERP_FILTER_CONTEXTS 4

Number of contexts for interp_filter

Since : 1.20

### GstCodecs.VP9_INTERP_FILTER_CONTEXTS

Number of contexts for interp_filter

Since : 1.20

### GstCodecs.VP9_INTERP_FILTER_CONTEXTS

Number of contexts for interp_filter

Since : 1.20

### GST_VP9_INTER_MODES

    #define GST_VP9_INTER_MODES 4

Number of values for inter_mode

Since : 1.20

### GstCodecs.VP9_INTER_MODES

Number of values for inter_mode

Since : 1.20

### GstCodecs.VP9_INTER_MODES

Number of values for inter_mode

Since : 1.20

### GST_VP9_INTER_MODE_CONTEXTS

    #define GST_VP9_INTER_MODE_CONTEXTS 7

Number of contexts for inter_mode

Since : 1.20

### GstCodecs.VP9_INTER_MODE_CONTEXTS

Number of contexts for inter_mode

Since : 1.20

### GstCodecs.VP9_INTER_MODE_CONTEXTS

Number of contexts for inter_mode

Since : 1.20

### GST_VP9_INTRA_MODES

    #define GST_VP9_INTRA_MODES 10

Number of values for intra_mode

Since : 1.20

### GstCodecs.VP9_INTRA_MODES

Number of values for intra_mode

Since : 1.20

### GstCodecs.VP9_INTRA_MODES

Number of values for intra_mode

Since : 1.20

### GST_VP9_IS_INTER_CONTEXTS

    #define GST_VP9_IS_INTER_CONTEXTS 4

Number of contexts for interp_filter

Since : 1.20

### GstCodecs.VP9_IS_INTER_CONTEXTS

Number of contexts for interp_filter

Since : 1.20

### GstCodecs.VP9_IS_INTER_CONTEXTS

Number of contexts for interp_filter

Since : 1.20

### GST_VP9_MV_CLASSES

    #define GST_VP9_MV_CLASSES 11

Number of values for mv_class

Since : 1.20

### GstCodecs.VP9_MV_CLASSES

Number of values for mv_class

Since : 1.20

### GstCodecs.VP9_MV_CLASSES

Number of values for mv_class

Since : 1.20

### GST_VP9_MV_FR_SIZE

    #define GST_VP9_MV_FR_SIZE 4

Number of values that can be decoded for mv_fr

Since : 1.20

### GstCodecs.VP9_MV_FR_SIZE

Number of values that can be decoded for mv_fr

Since : 1.20

### GstCodecs.VP9_MV_FR_SIZE

Number of values that can be decoded for mv_fr

Since : 1.20

### GST_VP9_MV_JOINTS

    #define GST_VP9_MV_JOINTS 4

Number of values for partition

Since : 1.20

### GstCodecs.VP9_MV_JOINTS

Number of values for partition

Since : 1.20

### GstCodecs.VP9_MV_JOINTS

Number of values for partition

Since : 1.20

### GST_VP9_MV_OFFSET_BITS

    #define GST_VP9_MV_OFFSET_BITS 10

Maximum number of bits for decoding motion vectors

Since : 1.20

### GstCodecs.VP9_MV_OFFSET_BITS

Maximum number of bits for decoding motion vectors

Since : 1.20

### GstCodecs.VP9_MV_OFFSET_BITS

Maximum number of bits for decoding motion vectors

Since : 1.20

### GST_VP9_PARTITION_CONTEXTS

    #define GST_VP9_PARTITION_CONTEXTS 16

Number of contexts when decoding partition

Since : 1.20

### GstCodecs.VP9_PARTITION_CONTEXTS

Number of contexts when decoding partition

Since : 1.20

### GstCodecs.VP9_PARTITION_CONTEXTS

Number of contexts when decoding partition

Since : 1.20

### GST_VP9_PARTITION_TYPES

    #define GST_VP9_PARTITION_TYPES 4

Number of values for partition

Since : 1.20

### GstCodecs.VP9_PARTITION_TYPES

Number of values for partition

Since : 1.20

### GstCodecs.VP9_PARTITION_TYPES

Number of values for partition

Since : 1.20

### GST_VP9_REF_CONTEXTS

    #define GST_VP9_REF_CONTEXTS 5

Number of contexts for single_ref and comp_ref

Since : 1.20

### GstCodecs.VP9_REF_CONTEXTS

Number of contexts for single_ref and comp_ref

Since : 1.20

### GstCodecs.VP9_REF_CONTEXTS

Number of contexts for single_ref and comp_ref

Since : 1.20

### GST_VP9_SEG_LVL_ALT_L

    #define GST_VP9_SEG_LVL_ALT_L 1

Index for loop filter segment feature

Since : 1.20

### GstCodecs.VP9_SEG_LVL_ALT_L

Index for loop filter segment feature

Since : 1.20

### GstCodecs.VP9_SEG_LVL_ALT_L

Index for loop filter segment feature

Since : 1.20

### GST_VP9_SEG_LVL_ALT_Q

    #define GST_VP9_SEG_LVL_ALT_Q 0

Index for quantizer segment feature

Since : 1.20

### GstCodecs.VP9_SEG_LVL_ALT_Q

Index for quantizer segment feature

Since : 1.20

### GstCodecs.VP9_SEG_LVL_ALT_Q

Index for quantizer segment feature

Since : 1.20

### GST_VP9_SEG_LVL_MAX

    #define GST_VP9_SEG_LVL_MAX 4

Number of segment features

Since : 1.20

### GstCodecs.VP9_SEG_LVL_MAX

Number of segment features

Since : 1.20

### GstCodecs.VP9_SEG_LVL_MAX

Number of segment features

Since : 1.20

### GST_VP9_SEG_LVL_REF_FRAME

    #define GST_VP9_SEG_LVL_REF_FRAME 2

Index for reference frame segment feature

Since : 1.20

### GstCodecs.VP9_SEG_LVL_REF_FRAME

Index for reference frame segment feature

Since : 1.20

### GstCodecs.VP9_SEG_LVL_REF_FRAME

Index for reference frame segment feature

Since : 1.20

### GST_VP9_SEG_SEG_LVL_SKIP

    #define GST_VP9_SEG_SEG_LVL_SKIP 3

Index for skip segment feature

Since : 1.20

### GstCodecs.VP9_SEG_SEG_LVL_SKIP

Index for skip segment feature

Since : 1.20

### GstCodecs.VP9_SEG_SEG_LVL_SKIP

Index for skip segment feature

Since : 1.20

### GST_VP9_SKIP_CONTEXTS

    #define GST_VP9_SKIP_CONTEXTS 3

Number of contexts for decoding skip

Since : 1.20

### GstCodecs.VP9_SKIP_CONTEXTS

Number of contexts for decoding skip

Since : 1.20

### GstCodecs.VP9_SKIP_CONTEXTS

Number of contexts for decoding skip

Since : 1.20

### GST_VP9_SWITCHABLE_FILTERS

    #define GST_VP9_SWITCHABLE_FILTERS 3

Number of contexts for interp_filter

Since : 1.20

### GstCodecs.VP9_SWITCHABLE_FILTERS

Number of contexts for interp_filter

Since : 1.20

### GstCodecs.VP9_SWITCHABLE_FILTERS

Number of contexts for interp_filter

Since : 1.20

### GST_VP9_TX_MODES

    #define GST_VP9_TX_MODES 5

Number of values for tx_mode

Since : 1.20

### GstCodecs.VP9_TX_MODES

Number of values for tx_mode

Since : 1.20

### GstCodecs.VP9_TX_MODES

Number of values for tx_mode

Since : 1.20

### GST_VP9_TX_SIZES

    #define GST_VP9_TX_SIZES 4

Number of values for tx_size

Since : 1.20

### GstCodecs.VP9_TX_SIZES

Number of values for tx_size

Since : 1.20

### GstCodecs.VP9_TX_SIZES

Number of values for tx_size

Since : 1.20

### GST_VP9_TX_SIZE_CONTEXTS

    #define GST_VP9_TX_SIZE_CONTEXTS 2

Number of contexts for transform size

Since : 1.20

### GstCodecs.VP9_TX_SIZE_CONTEXTS

Number of contexts for transform size

Since : 1.20

### GstCodecs.VP9_TX_SIZE_CONTEXTS

Number of contexts for transform size

Since : 1.20

The results of the search are